Skip to content

List Connections

GET
/v1/settings/connections
curl --request GET \
--url https://example.com/v1/settings/connections \
--header 'Authorization: Bearer <token>'

Connections to S3-compatible storage, by name. Secret keys are never returned.

Successful Response

Media typeapplication/json
Response Listconnections
Array<object>
Connection

A connection as the API shows it: without its secret key.

object
id
required
Id
string
name
required
Name
string
endpoint
required
Endpoint
string
region
required
Region
string
access_key_id
required
Access Key Id
string
created_at
required
Created At
string format: date-time

Example generated

[
{
"id": "example",
"name": "example",
"endpoint": "example",
"region": "example",
"access_key_id": "example",
"created_at": "2026-04-15T12:00:00Z"
}
]